import sys

def cli_project_path() -> str or None:
    """
    Get the path of the current project.
    :return: The path of the current project.
    """
    args = sys.argv
    print(args)
    if len(args) > 1:
        for i in range(len(args)):
            arg = args[i]
            if arg == "--needle-project-path":
                if i + 1 < len(args):
                    return args[i + 1]
                
